/* CSS reset */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


a, a:visited, a:active {
    color: inherit;
}

ul, ol, li {
    list-style: none;
    display: block;
}

html {
    font-size: 16pt;
}

input, button {
    border: none;
    background: transparent;
    color: black;
}

/* hacks */

.flex-center {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}

/* common styles */

/*
Заголовочный: Oswald 
Акцидентный: Montserrat
Наборный: Georgia
*/

/*
цвета:
- синий #0071BD rgb(0, 113, 189)
- голубой #29AAE1 rgb(41, 170, 225)
- оранжевый #F8931F rgb(248, 147, 31)
- белый и чёрный
*/

html {
    --color-blue: #0071BD;
    --color-cyan: #29AAE1;
    --color-orange: #F8931F;
    --color-text-main: black;
    --color-text-secondary: #444444;
    --color-bg-main: white;
    --color-bg-secondary: #F7F7F7; /* borders, etc */

    --color-text-reverse: #F7F7F7;
    --color-text-reverse-secondary: #E0E0E0;
    --color-bg-reverse: black;
    --color-bg-reverse-50: rgba(0, 0, 0, 50%);
    --color-bg-reverse-75: rgba(0, 0, 0, 75%);
    --color-bg-reverse-secondary: #444444;
    --color-bg-reverse-secondary-50: rgba(51, 51, 51, 50%);

    --font-family-heading: 'Oswald', sans-serif;
    --font-family-accidental: 'Montserrat', sans-serif;
    --font-family-text: 'Georgia', 'Helvetica', serif;

    --width-content: 1200px;
}

body {
    width: 100%;
    min-height: 100vh;
    display: grid;
    grid-template-columns: 1fr var(--width-content) 1fr;

    /* ширина 100% и высота >100% заставляет вертикальную полосу прокрутки сжать viewport 
    и появляется горизонтальная полоса прокрутки; скрываем горизонтальную */
    overflow-x: hidden;

    background: var(--color-bg-main);
    color: var(--color-text-main);
    background-image: url('../img/italy.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-color: #BB84BB;

    font-family: var(--font-family-text);
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-family-heading);
    font-weight: 400;
}

h1 {
    font-size: 200%;
}

.long-text {
    text-align: justify;
    margin: 0.25rem 0;
    line-height: 1.5;
    text-indent: 1rem;
}

body.layout-main {
    grid-template-rows: 100vh auto auto; /* fallback */
    grid-template-rows: calc(var(--vh, 1vh) * 100) auto auto;
    grid-template-areas: "header header header"
    ". main ."
    ". footer .";
}

body.layout-blog {
    grid-template-rows: auto auto auto;
    grid-template-areas: "header header header"
    ". main ."
    ". footer .";
}

body > * {
    background: var(--color-bg-main);
    padding: 1rem;
}

header {
    grid-area: header;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;

    padding: 0;

    user-select: none;

    background: none;
}

.layout-main header {
    padding-top: 4rem;
}

header > * {
    width: var(--width-content);
}

header > nav {
    width: 100%;
    padding: 0 calc((100% - var(--width-content))/2);
}

.logo > img {
    width: 800px;
    object-fit: contain;
}

nav {
    background: var(--color-bg-reverse-50);
    color: var(--color-text-reverse);

    user-select: none;
}

nav > ul {
    height: 100%;

    display: flex;
    flex-direction: row;

    font-size: 200%;
    font-weight: 400;
    font-family: var(--font-family-heading);
}

nav .material-icons {
    /* only show icons on mobile */
    display: none;
}

nav > ul > li > a {
    display: block;
    padding: 1rem;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;

    text-decoration: none;
}

nav a.active {
    color: var(--color-orange);
}

nav a:not(.active):hover {
    cursor: pointer;
    background: var(--color-bg-reverse-50);
    border-left: 1px solid var(--color-bg-reverse);
    border-right: 1px solid var(--color-bg-reverse);
}

main {
    grid-area: main;
}

.hotels {
    margin: 1rem;
    border: 2px solid var(--color-bg-secondary);
    background: var(--color-bg-secondary);
    overflow: hidden;
}

.hotels-inner {
    padding: 0.5rem;
}

.hotels .card {
    height: 10rem;
    width: 21.5rem;

    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: stretch;

    background-color: var(--color-bg-main);
    border-radius: 0.5rem;
    margin: 0 0.5rem;

    cursor: pointer;
    text-decoration: none;

    overflow: hidden;
}

.hotels .card img {
    object-fit: cover;
    width: 40%;
}

.flickity-button {
    background: var(--color-blue);
}

.flickity-button:hover {
    background: var(--color-cyan);
}

.flickity-button-icon {
    fill: var(--color-bg-main);
}

.flickity-button:disabled {
    display: none;
}

.hotel-info {
    padding: 0.5rem;

    flex-grow: 1;

    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
}

.hotel-info h2 {
    font-size: 110%;
}

.hotels .card:hover h2 {
    text-decoration: underline;
}

.hotel-info .location, .hotel-info .available-date, .hotel-info .timespan, .hotel-info .old-price {
    color: var(--color-text-secondary);
    font-size: 80%;
}

.hotel-info .location {
    margin-bottom: 1rem;
}

.hotel-info .prices {
    flex-grow: 1;

    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: space-between;

    font-family: var(--font-family-accidental);
}

.hotel-info .old-price {
    color: #777;
    text-decoration: line-through;
}

.hotel-info .new-price {
    color: var(--color-orange);
}

.country-menu {
    padding: 1rem;

    display: grid;
    grid-template-columns: repeat(auto-fit, 15rem);
    grid-gap: 0.25rem 1rem;

    justify-content: space-between;

    font-size: 90%;
}

.country {
    padding: 0.5rem;

    text-decoration: none;
    cursor: pointer;
    font-family: var(--font-family-accidental);

    border-radius: 2px;

    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-start;

    border: 2px solid transparent;
}

.country:hover {
    border: 2px solid var(--color-bg-secondary);
}

.country .flag-icon {
    margin-right: 0.5rem;
}

.country:hover .title {
    text-decoration: underline;
}

.country .price {
    flex-grow: 1;
    text-align: right;

    /* color: var(--color-blue); */
}

.country .price::before {
    content: 'от ';
}

footer {
    grid-area: footer;

    font-size: 80%;
    background: var(--color-bg-reverse-secondary);
    color: var(--color-text-reverse-secondary);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

footer .info {
    display: grid;
    grid-template-columns: repeat(3, 1fr);

    font-family: var(--font-family-accidental);
    
    max-width: 50rem;
}

footer .info h2 {
    margin: 0.5rem 0;
}

footer .info li {
    display: list-item;
    list-style: outside circle;
    margin-left: 1rem;
}

footer .info .social-links {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
}

footer .info .social-links > figure {
    margin-right: 0.5rem;
}

footer .info .social-links > figure img {
    width: 32px;
    height: 32px;
}

footer .copyrights {
    margin-top: 2rem;
    font-family: var(--font-family-accidental);
    text-align: center; /* looks better on mobile layouts */
}